<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE appendix PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<appendix id="appendixb" xreflabel="Appendix B">
  <?dbhtml dir="appendices"?>
  <?dbhtml filename="acknowledgments.html"?>

  <title>致谢</title>

  <note><title>译注</title>
	  <para>译者感谢
		  <ulink url="https://linux.xidian.edu.cn/">西电开源社区</ulink>
		  提供的
		  <ulink url="https://linux.xidian.edu.cn/mirrors/lfs/">
			  LFS 软件包镜像 </ulink>
		  和
		  <ulink url="https://linux.xidian.edu.cn/git/">
			  GIT 托管服务
		  </ulink>
		  ，以及
		  <ulink url="https://lctt.github.io/">
			  Linux 中国翻译组
		  </ulink> 翻译的
		  <ulink url="https://linux.cn/lfs/LFS-BOOK-7.7-systemd">
			  LFS-7.7-systemd
		  </ulink>
		  手册，这是译者初次阅读的 LFS 版本，
		  在翻译过程中译者也参考了该版本。
	  </para>
  </note>

  <para>我们希望感谢以下人员和组织对
  Linux From Scratch 项目作出的贡献：</para>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:gerard@linuxfromscratch.org">Gerard
      Beekmans</ulink> &lt;gerard@linuxfromscratch.org&gt; &ndash;
      LFS 创始人</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:bdubbs@linuxfromscratch.org">Bruce
      Dubbs</ulink> &lt;bdubbs@linuxfromscratch.org&gt; &ndash; LFS
      执行编辑</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:jim@linuxfromscratch.org">Jim
      Gifford</ulink> &lt;jim@linuxfromscratch.org&gt; &ndash; CLFS
      共同负责人</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:pierre@linuxfromscratch.org">Pierre Labastie</ulink>
      &lt;pierre@linuxfromscratch.org&gt; &ndash; BLFS 编辑及 ALFS 负责人</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:dj@linuxfromscratch.org">DJ Lucas</ulink>
      &lt;dj@linuxfromscratch.org&gt; &ndash; LFS 和 BLFS 编辑</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:ken@linuxfromscratch.org">Ken Moffat</ulink>
      &lt;ken@linuxfromscratch.org&gt; &ndash; BLFS 编辑</para>
    </listitem>

    <listitem>
      <!--para>Countless other people on the various LFS and BLFS mailing lists
      who helped make this book possible by giving their suggestions, testing
      the book, and submitting bug reports, instructions, and their
      experiences with installing various packages.</para-->
      <para>在 LFS 和 BLFS 的相关邮件列表中还有无数朋友，
		  他们为本书进行提供了宝贵的建议，对本书中的安装说明进行了测试，
		  提供了 bug 报告和安装说明，
		  以及分享了在安装各种软件包时获得的宝贵经验。
		  他们的工作使得本书得以发布。
	  </para>
    </listitem>

  </itemizedlist>

  <bridgehead renderas="sect2">翻译人员</bridgehead>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:macana@macana-es.com">Manuel Canales
      Esparcia</ulink> &lt;macana@macana-es.com&gt; &ndash; 西班牙语
      LFS 翻译项目</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:johan@linuxfromscratch.org">Johan
      Lenglet</ulink> &lt;johan@linuxfromscratch.org&gt; &ndash;
      2008 年以前的 LFS 法语翻译项目</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:jmengual@linuxfromscratch.org">Jean-Philippe 
      Mengual </ulink> &lt;jmengual@linuxfromscratch.org&gt; &ndash;
      2008-2016 年的 LFS 法语翻译项目</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:jlepiller@linuxfromscratch.org">Julien 
      Lepiller </ulink> &lt;jlepiller@linuxfromscratch.org&gt; &ndash;
      2017 年后的 LFS 法语翻译项目</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:lizardo@linuxfromscratch.org">Anderson
      Lizardo</ulink> &lt;lizardo@linuxfromscratch.org&gt; &ndash;
      葡萄牙语 LFS 翻译项目</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:tr@erdfunkstelle.de">Thomas
      Reitelbach </ulink> &lt;tr@erdfunkstelle.de&gt; &ndash;
      德语 LFS 翻译项目</para>
    </listitem>

  </itemizedlist>

  <bridgehead renderas="sect2">镜像站维护者</bridgehead>

  <bridgehead renderas="sect3">北美镜像站</bridgehead>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:scott@osuosl.org">Scott Kveton</ulink>
      &lt;scott@osuosl.org&gt; &ndash; lfs.oregonstate.edu 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:lost@l-w.net">William Astle</ulink>
      &lt;lost@l-w.net&gt; &ndash; ca.linuxfromscratch.org 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:eujon.sellers@gmail.com">Eujon Sellers</ulink>
      &lt;jpolen@rackspace.com&gt; &ndash; lfs.introspeed.com 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:justin@knierim.org">Justin Knierim</ulink>
      &lt;tim@idge.net&gt; &ndash; lfs-matrix.net 镜像站</para>
    </listitem>

  </itemizedlist>

  <bridgehead renderas="sect3">南美镜像站</bridgehead>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:manuel@linuxfromscratch.org">Manuel
      Canales Esparcia</ulink> &lt;manuel@linuxfromscratch.org&gt; &ndash;
      lfsmirror.lfs-es.info 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:lfalcon@thymbra.com">Luis Falcon</ulink>
      &lt;Luis Falcon&gt; &ndash; torredehanoi.org 镜像站</para>
    </listitem>

  </itemizedlist>

  <bridgehead renderas="sect3">欧洲镜像站</bridgehead>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:guido@primerelay.net">Guido Passet</ulink>
      &lt;guido@primerelay.net&gt; &ndash; nl.linuxfromscratch.org 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:baafie@planet.nl">Bastiaan Jacques</ulink>
      &lt;baafie@planet.nl&gt; &ndash; lfs.pagefault.net 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:sven.cranshoff@lineo.be">Sven Cranshoff</ulink>
      &lt;sven.cranshoff@lineo.be&gt; &ndash; lfs.lineo.be 镜像站</para>
    </listitem>

    <listitem>
      <para>Scarlet Belgium &ndash; lfs.scarlet.be 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:info@aliensoft.org">Sebastian Faulborn</ulink>
      &lt;info@aliensoft.org&gt; &ndash; lfs.aliensoft.org 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:stuart@dontuse.ms">Stuart Fox</ulink>
      &lt;stuart@dontuse.ms&gt; &ndash; lfs.dontuse.ms 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:admin@realhost.de">Ralf Uhlemann</ulink>
      &lt;admin@realhost.de&gt; &ndash; lfs.oss-mirror.org 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:Antonin.Sprinzl@tuwien.ac.at">Antonin
      Sprinzl</ulink> &lt;Antonin.Sprinzl@tuwien.ac.at&gt; &ndash;
      at.linuxfromscratch.org 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:fredan-lfs@fredan.org">Fredrik
      Danerklint</ulink> &lt;fredan-lfs@fredan.org&gt; &ndash;
      se.linuxfromscratch.org 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:franck@linuxpourtous.com">Franck</ulink>
      &lt;franck@linuxpourtous.com&gt; &ndash; lfs.linuxpourtous.com 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:baque@cict.fr">Philippe Baque</ulink>
      &lt;baque@cict.fr&gt; &ndash; lfs.cict.fr 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:gyouja@pilgrims.ru">Vitaly Chekasin</ulink>
      &lt;gyouja@pilgrims.ru&gt; &ndash; lfs.pilgrims.ru 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:kontakt@wankoo.org">Benjamin Heil</ulink>
      &lt;kontakt@wankoo.org&gt; &ndash; lfs.wankoo.org 镜像站</para>
    </listitem>

  </itemizedlist>

  <bridgehead renderas="sect3">亚洲镜像站</bridgehead>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:satit@wbac.ac.th">Satit Phermsawang</ulink>
      &lt;satit@wbac.ac.th&gt; &ndash; lfs.phayoune.org 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:info@shizu-net.jp">Shizunet Co.,Ltd.</ulink>
      &lt;info@shizu-net.jp&gt; &ndash; lfs.mirror.shizu-net.jp 镜像站</para>
    </listitem>

    <listitem>
      <para><ulink url="http://www.initworld.com/">Init World</ulink>
      &lt;http://www.initworld.com/&gt; &ndash; lfs.initworld.com 镜像站</para>
    </listitem>

  </itemizedlist>

  <bridgehead renderas="sect3">澳大利亚镜像站</bridgehead>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:jason@dstc.edu.au">Jason Andrade</ulink>
      &lt;jason@dstc.edu.au&gt; &ndash; au.linuxfromscratch.org 镜像站</para>
    </listitem>

  </itemizedlist>

  <bridgehead renderas="sect2">前项目组成员</bridgehead>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:theladyskye@linuxfromscratch.org">Christine
      Barczak</ulink> &lt;theladyskye@linuxfromscratch.org&gt; &ndash; LFS
      手册编辑</para>
    </listitem>

    <listitem>
      <para>Archaic
      &lt;archaic@linuxfromscratch.org&gt; &ndash; LFS 技术作家/编辑，
      HLFS 项目领导者，BLFS 编辑，Hints 和补丁项目维护者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:matthew@linuxfromscratch.org">Matthew
      Burgess</ulink> &lt;matthew@linuxfromscratch.org&gt; &ndash;
      LFS 项目领导者，LFS 技术作家/编辑</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:nathan@linuxfromscratch.org">Nathan
      Coulson</ulink> &lt;nathan@linuxfromscratch.org&gt; &ndash;
      LFS-Bootscripts 维护者</para>
    </listitem>

    <listitem>
      <para>Timothy Bauscher</para>
    </listitem>

    <listitem>
      <para>Robert Briggs</para>
    </listitem>

    <listitem>
      <para>Ian Chilton</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:jeroen@linuxfromscratch.org">Jeroen
      Coumans</ulink> &lt;jeroen@linuxfromscratch.org&gt; &ndash;
      网站开发者，FAQ 维护者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:manuel@linuxfromscratch.org">Manuel
      Canales Esparcia</ulink> &lt;manuel@linuxfromscratch.org&gt; &ndash;
      LFS/BLFS/HLFS XML 和 XSL 维护者</para>
    </listitem>

    <listitem>
      <para>Alex Groenewoud &ndash; LFS 技术作家</para>
    </listitem>

    <listitem>
      <para>Marc Heerdink</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:jhuntwork@linuxfromscratch.org">Jeremy
      Huntwork</ulink> &lt;jhuntwork@linuxfromscratch.org&gt; &ndash; LFS
      技术作家，LFS LiveCD 维护者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:bryan@linuxfromscratch.org">Bryan
      Kadzban</ulink> &lt;bryan@linuxfromscratch.org&gt; &ndash; LFS
      技术作家</para>
    </listitem>

    <listitem>
      <para>Mark Hymers</para>
    </listitem>

    <listitem><para>Seth W. Klein &ndash; FAQ 维护者</para></listitem>

    <listitem>
      <para><ulink url="mailto:nicholas@linuxfromscratch.org">Nicholas
      Leippe</ulink> &lt;nicholas@linuxfromscratch.org&gt; &ndash; Wiki
      维护者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:lizardo@linuxfromscratch.org">Anderson
      Lizardo</ulink> &lt;lizardo@linuxfromscratch.org&gt; &ndash;
      网站后台脚本维护者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:randy@linuxfromscratch.org">Randy
      McMurchy</ulink> &lt;randy@linuxfromscratch.org&gt; &ndash; BLFS
      项目领导者，LFS 编辑</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:dnicholson@linuxfromscratch.org">Dan
      Nicholson</ulink> &lt;dnicholson@linuxfromscratch.org&gt; &ndash; LFS
      和 BLFS 编辑</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:alexander@linuxfromscratch.org">Alexander
      E. Patrakov</ulink> &lt;alexander@linuxfromscratch.org&gt; &ndash; LFS
      技术作家，LFS 国际化编辑，LFS LiveCD 维护者</para>
    </listitem>

    <listitem>
      <para>Simon Perreault</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:scot@linuxfromscratch.org">Scot Mc
      Pherson</ulink> &lt;scot@linuxfromscratch.org&gt; &ndash; LFS NNTP
      网关维护者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:renodr@linuxfromscratch.org">Douglas R. Reno</ulink>
      &lt;renodr@linuxfromscratch.org&gt; &ndash; Systemd 编辑</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:ryan@linuxfromscratch.org">Ryan
      Oliver</ulink> &lt;ryan@linuxfromscratch.org&gt; &ndash; CLFS
      项目共同负责人</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:gschafer@zip.com.au">Greg Schafer</ulink>
      &lt;gschafer@zip.com.au&gt; &ndash; LFS 技术作家，
      下一代启用 64 位构建方法总设计师</para>
    </listitem>

    <listitem>
      <para>Jesse Tie-Ten-Quee &ndash; LFS 技术作家</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:jwrober@linuxfromscratch.org">James
      Robertson</ulink> &lt;jwrober@linuxfromscratch.org&gt; &ndash; Bugzilla
      维护者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:tushar@linuxfromscratch.org">Tushar
      Teredesai</ulink> &lt;tushar@linuxfromscratch.org&gt; &ndash; BLFS
      手册编辑，Hints 和补丁计划领导者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:jeremy@linuxfromscratch.org">Jeremy
      Utley</ulink> &lt;jeremy@linuxfromscratch.org&gt; &ndash; LFS
      技术作家，Bugzilla 维护者，LFS-Bootscripts 维护者</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:zwinkles@gmail.com">Zack Winkles</ulink>
      &lt;zwinkles@gmail.com&gt; &ndash; LFS 技术作家</para>
    </listitem>

  </itemizedlist>

<!--
  <bridgehead renderas="sect2">A very special thank you to our
  donators</bridgehead>

  <itemizedlist>

    <listitem>
      <para><ulink url="mailto:dean@vipersoft.co.uk">Dean Benson</ulink>
      &lt;dean@vipersoft.co.uk&gt; for several monetary contributions</para>
    </listitem>

    <listitem>
      <para><ulink url="mailto:hrx@hrxnet.de">Hagen Herrschaft</ulink>
      &lt;hrx@hrxnet.de&gt; for donating a 2.2 GHz P4 system, now running
      under the name of Lorien</para>
    </listitem>

    <listitem>
      <para><ulink url="http://www.seocompany.ca/">SEO Company Canada</ulink>
      supports Open Source projects and different Linux distributions</para>
    </listitem>

    <listitem>
      <para><ulink url="http://www.vasoftware.com">VA Software</ulink> who,
      on behalf of <ulink url="http://www.linux.com">Linux.com</ulink>,
      donated a VA Linux 420 (former StartX SP2) workstation</para>
    </listitem>

    <listitem>
      <para>Mark Stone for donating Belgarath, the first linuxfromscratch.org
      server</para>
    </listitem>

  </itemizedlist>
-->
</appendix>
